Subject: bug#77678: 31.0.50; Infloop in multi-isearch-read-files

From: Juri Linkov <[email-masked]>
Date: Tue, 29 Apr 2025 20:14:20 +0300

close 77678 31.0.50
thanks

>>> > What method did you have in mind?
>>>
>>> `expand-file-name' both arguments?  I dunno whether this suffices when
>>> Tramp comes into play, though.
>>
>> expand-file-name is a good starting point, yes.  If that's not enough,
>> then comparing the results with file-equal-p should do.  (If even that
>> doesn't work in all cases, there's probably more here than meets the
>> eye.)
>
> file-equal-p uses file-truename which should be OK. Also from the Tramp POV.

So now replaced 'string-equal' with 'file-equal-p'.